# -*- coding: utf-8 -*-
from setuphelpers import *
import re


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    update_dict = {"windows": ".exe", "macos": ".dmg"}

    url = "https://lazpaint.github.io/fr/"

    # Get data from API
    print("URL used is: %s" % url)
    for bs_search in bs_find_all(url, "a", proxies=proxies):
        if "win32_win64.exe" in bs_search.get("href"):
            download_url = bs_search["href"]
            latest_bin = download_url.rsplit("/")[-1]
            version = download_url.rsplit("/")[-2].replace("v", "")
            break

    # Deleting binaries
    for f in glob.glob("*.exe"):
        if f != latest_bin:
            remove_file(f)

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    version = get_version_from_binary(latest_bin)

    control.set_software_version(version)
    control.save_control_to_wapt()
